/******************检查js语法***************************/
// 需要下载fis-lint-jshint
// npm install -g fis-lint-jshint

//configure plugin 
fis.config.set('modules.lint.js', 'jshint');
//configure plugin settings 
fis.config.set('settings.lint.jshint', {
    // ignored some files 
    // ignored : 'static/libs/**.js', 
    // ignored : ['*.html', '*.css'],
    //using Chinese reporter 
    i18n : 'zh-CN',
 
    //jshint options 
    camelcase : true,
    curly : true,
    eqeqeq : true,
    forin : true,
    immed : true,
    latedef : true,
    newcap : true,
    noarg : true,
    noempty : true,
    node : true
});
 
// 自动监听时用到 fis3 release -w
//fis.match('*.js', {
//	lint: fis.plugin('jshint') 
//});
/******************检查js语法***************************/

fis.hook('relative');
fis.match('**', { 
	relative: true 
});

// 是否使用md5标识文件名称
fis.match('*.{js,css,png}', {
  useHash: false
});

/********************对js文件的处理*********************/
//export, module, require不压缩变量名
fis.config.set('settings.optimizer.uglify-js', {
    mangle: {
        except: 'exports, module, require, define',
        drop_console: true
    }
});

// js混淆压缩
fis.match('*.js', {
 	// fis-optimizer-uglify-js 插件进行压缩，已内置 
	optimizer: fis.plugin('uglify-js') 
});
/********************对js文件的压缩处理*********************/

//fis.match('*.css', { useSprite: true, optimizer: fis.plugin('clean-css') });
// css压缩混淆
fis.match('*.css', { 
	// fis-optimizer-clean-css 插件进行压缩，已内置
	advanced:false,
	optimizer: fis.plugin('clean-css') 
});

// png图片格式压缩 
//fis.match('*.png', { 
//	// fis-optimizer-png-compressor 插件进行压缩，已内置 
//	optimizer: fis.plugin('png-compressor') 
//});

// TODO csssprites图片合并



// 默认将项目底下的src发布到output
fis.match('*.js', {
  deploy: fis.plugin('local-deliver', {
    to: './'
  })
})
